<?php

namespace Nest\Database;

use Nest\Database\Configuration\DatabasesConfiguration;
use Nest\Database\Exceptions\Configuration\MissingRequiredConfigurationValueException;
use Nest\Exceptions\Services\Configuration\UndefinedServiceConfigurationException;

/**
 * Databases Nest service.
 */
trait DatabasesService
{
	/**
	 * The databases manager.
	 * @var Databases
	 */
	private Databases $databases;

	/**
	 * @return void
	 * @throws MissingRequiredConfigurationValueException
	 * @throws UndefinedServiceConfigurationException
	 */
	protected function __nest__DatabasesService(): void
	{
		// Initialize databases manager.
		$this->databases = new Databases($this, $this->getServiceConfiguration(DatabasesConfiguration::class));
	}

	/**
	 * Databases service.
	 * @return Databases The databases manager.
	 */
	public function databases(): Databases
	{
		return $this->databases;
	}
}
