<?php

namespace Nest\Database\Exceptions\Configuration;

use Nest\Database\Exceptions\DatabaseException;
use Throwable;

/**
 * Exception thrown when a database type is missing in one of the configurations.
 */
class UndefinedDatabaseTypeException extends DatabaseException
{
	/**
	 * @param string $identifier Database identifier with missing type.
	 * @param int $code [optional] The Exception code.
	 * @param null|Throwable $previous [optional] The previous throwable used for the exception chaining.
	 */
	public function __construct(public string $identifier, int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct("", $code, $previous);
	}
}
