<?php

namespace Nest\Database\Exceptions\Migrations;

use Nest\Database\Migrations\Migration;
use Nest\Database\Exceptions\DatabaseException;
use Throwable;

/**
 * Thrown when a migration cannot be rolled back.
 */
class CannotRollbackException extends DatabaseException
{
	/**
	 * @param Migration $migration The migration which cannot be rolled back.
	 * @param int $code [optional] The Exception code.
	 * @param null|Throwable $previous [optional] The previous throwable used for the exception chaining.
	 */
	public function __construct(public Migration $migration, int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct("Cannot rollback migration {$this->migration->getName()}.", $code, $previous);
	}
}
