<?php

namespace Nest\Database\Exceptions\Migrations;

use Nest\Database\Exceptions\DatabaseException;
use Throwable;

/**
 * Thrown when a given migration was not found.
 */
class MigrationNotFoundException extends DatabaseException
{
	/**
	 * @param string $id Migration ID that wasn't found.
	 * @param int $code [optional] The Exception code.
	 * @param null|Throwable $previous [optional] The previous throwable used for the exception chaining.
	 */
	public function __construct(public string $id, int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct("Migration $this->id not found.", $code, $previous);
	}
}
