<?php

namespace Nest\Database\Exceptions\Migrations;

use Nest\Database\Exceptions\DatabaseException;
use Throwable;

/**
 * Exception thrown when a new table column has an undefined type.
 */
class UndefinedNewColumnTypeException extends DatabaseException
{
	/**
	 * @param string $tableName Table name.
	 * @param string $columnName Column name.
	 * @param int $code [optional] The Exception code.
	 * @param null|Throwable $previous [optional] The previous throwable used for the exception chaining.
	 */
	public function __construct(public string $tableName, public string $columnName, int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct("Undefined column type for \"$this->tableName\".\"$this->columnName\".", $code, $previous);
	}
}
