<?php

namespace Nest\Database\Exceptions\Query;

use Throwable;

/**
 * Exception thrown when no condition value has been given to the condition builder.
 */
class MissingConditionValueException extends QueryBuilderException
{
	/**
	 * @param string $incompleteSql Incomplete SQL condition.
	 * @param int $code [optional] The Exception code.
	 * @param null|Throwable $previous [optional] The previous throwable used for the exception chaining.
	 */
	public function __construct(public string $incompleteSql, int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct("Cannot complete SQL condition: $this->incompleteSql", $code, $previous);
	}
}
