<?php

namespace Nest\Database\PostgreSql\Columns;

/**
 * PostgreSQL simple column types.
 * See also parametric types:
 * @see Bit
 * @see Varbit
 * @see Char
 * @see Varchar
 * @see Numeric
 */
enum Type: string
{
	case Boolean = "boolean";

	case SmallInt = "smallint";
	case SmallSerial = "smallserial";
	case Int = "int";
	case Serial = "serial";
	case BigInt = "bigint";
	case BigSerial = "bigserial";

	case Float = "float4";
	case Double = "float8";
	case Numeric = "numeric";
	case Money = "money";

	case Bit = "bit";
	case Varbit = "varbit";
	case ByteArray = "bytea";

	case Char = "char";
	case Varchar = "varchar";
	case Text = "text";
	case TextSearchQuery = "tsquery";
	case TextSearchVector = "tsvector";

	case Uuid = "uuid";

	case Json = "json";
	case JsonBinary = "jsonb";
	case Xml = "xml";

	case Date = "date";
	case Time = "time";
	case Timestamp = "timestamp";
	case Interval = "interval";

	case Cidr = "cidr";
	case MacAddr = "macaddr";
	case MacAddr8 = "macaddr8";

	case Point = "point";
	case Line = "line";
	case Segment = "lseg";
	case Path = "path";
	case Polygon = "polygon";
	case Box = "box";
	case Circle = "circle";
}
