<?php

namespace Nest\Database\PostgreSql\Columns;

use Stringable;

/**
 * PostgreSQL variable-length bit string column type.
 */
class Varbit implements Stringable
{
	/**
	 * @param int $size Size of the variable-length bit string column type.
	 */
	public function __construct(protected int $size)
	{}

	public function __toString(): string
	{
		return "varbit($this->size)";
	}
}
