<?php

namespace Nest\Database\Utils;

/**
 * Format a given SQL object name.
 * @param string $objectName The SQL object name.
 * @return string Formatted SQL object name.
 */
function format_object_name(string $objectName): string
{
	// Rebuild the full object name from its quoted parts.
	return implode(".",
		// Quote each part of the object name.
		array_map(fn (string $part) => "\"$part\"", explode(".", $objectName))
	);
}
